=== release 0.10.22 ===

2010-04-28  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  releasing 0.10.22, "Square One"

2010-04-25 23:36:29 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* win32/common/config.h:
	  0.10.21.3 pre-release

2010-04-25 21:19:33 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/flv/gstflvmux.c:
	  flvmux: hide is-live property for release
	  At the very least it needs a better/less wrong name.
	  See #613066.

2010-04-25 15:12:20 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/jpeg/gstjpegdec.c:
	  jpegdec: don't crash if jpeg image contains more than three components
	  Our code currently only handles a maximum of 3 components, so error
	  out for now if the image has more components than that.
	  Fixes #604106.

2010-04-20 17:21:29 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst-plugins-good.doap:
	  doap: update repository info from cvs->git and maintainers

2010-04-23 14:40:20 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From fc85867 to 4d67bd6

2010-04-22 13:30:55 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/videomixer/blend.c:
	  videomixer: Fix byte order for MMX ARGB/AYUV color filling
	  Fixes bug #616409.

2010-04-21 17:53:49 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/videomixer/blend.c:
	  videomixer: Fix AYUV checker/color filling

2010-04-19 16:43:28 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/videomixer/blend_mmx.h:
	  videomixer: Add i387 floating point registers to the clobbered registers list
	  They are the same as the mm0-mm7 MMX registers and will be overwritten
	  by the assembly code if gcc doesn't know about the MMX registers.
	  Note: They're all added to the list of clobbered registers in all cases
	  and not only when __MMX__ is not defined just to make sure that no other
	  bugs happen with this code just because some compiler version gets things
	  wrong.
	  Fixes bug #614466.

2010-04-19 14:09:34 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/videobox/gstvideobox.c:
	  videobox: Use libgstvideo to get the order of RGB

2010-04-17 10:06:41 +0100  Brian Cameron <brian.cameron@oracle.com>

	* gst/goom/xmmx.c:
	  goom: add edx to clobber list in inline assembly code
	  mull modifies %edx, so should be mentioned in clobber list.
	  Fixes crash on Solaris (#615998).

2010-04-15 13:39:41 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/icles/Makefile.am:
	  tests: don't use GST_PLUGIN_LDFLAGS when building test binaries

2010-04-16 15:27:12 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/videobox/gstvideobox.c:
	  videobox: Fix I420->I420 copying
	  Fixes bug #615143.

2010-04-13 18:15:50 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/videobox/gstvideobox.c:
	  videobox: Fix AYUV->I420 copying

2010-04-16 12:14:26 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/rtp/gstrtph264depay.c:
	  rtph264depay: profile-level-id is an optional parameter
	  So, if needed, extract the corresponding info from
	  sprop-parameter-sets.
	  Based on patch provided by <dxssx at gmail.com>
	  Fixes #612657.

2010-04-15 07:13:46 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* configure.ac:
	  configure: Drop -Wcast-align
	  Commit message copied from core's commit from Benjamin Otte:
	  246f5dba96a5b50bb74621af67b30942cca72af5
	  Apparently gcc warns that GstMiniObject is not castable to
	  GstEvent/Message/Buffer due to them containing 64bit variables, even
	  though ARM hackers claim that those only need 4byte alignment. And as
	  long as gcc behaves that way, this warning is not very useful.
	  So we'll remove the warning until this problem is fixed.
	  Fixes #615698

2010-04-14 23:46:06 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/flac/gstflactag.c:
	  flactag: fix adapter assertion when used directly after flacenc
	  Unlike filesrc, flacenc outputs the flac blocks neatly aligned one in
	  each buffer. This means that when we switch from metadata mode to
	  audio data passthrough mode, there's no data left in the adapter to
	  push out at this point, so check if there's data in the adapter
	  before requesting buffers from it (also needed in case we get input
	  buffers of 0 size).
	  Fixes #615793.

2010-04-14 23:18:27 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* win32/common/config.h:
	  0.10.21.2 pre-release

2010-04-14 20:31:30 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ru.po:
	* po/sk.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  po: update

2010-04-14 20:06:09 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/examples/equalizer/Makefile.am:
	* tests/examples/shapewipe/Makefile.am:
	* tests/examples/spectrum/Makefile.am:
	* tests/examples/v4l2/Makefile.am:
	* tests/icles/Makefile.am:
	  tests: use LDADD for libs to link to instead of LDFLAGS
	  Use foo_LDADD instead of foo_LDFLAGS to specify the libraries to link to.
	  This should make sure arguments are passed to the linker in the right
	  order, and makes LDFLAGS usable again.
	  Based on patch by Brian Cameron <brian.cameron@oracle.com>
	  Fixes #615697.

2010-04-14 18:13:56 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/videobox/gstvideobox.c:
	  videobox: transform_caps : We can only convert AYUV to xRGB
	  We were previously stating that we could convert AYUV/I420/YV12 to xRGB.

2010-04-13 00:14:46 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  configure: also remove -Waggregate-return from warning flags
	  It causes problems with Objective-C code like in osxvideosink.
	  Fixes #613663.

2010-04-12 18:22:39 +0200  Edward Hervey <bilboed@bilboed.com>

	* tests/check/Makefile.am:
	  check: Ignore osx audio/video src/sinks in state change tests
	  And make the line readable for those mere mortals that don't own a 30" screen

2010-04-12 18:03:20 +0200  Edward Hervey <bilboed@bilboed.com>

	* tests/check/elements/cmmldec.c:
	* tests/check/elements/cmmlenc.c:
	* tests/check/elements/level.c:
	* tests/check/elements/matroskamux.c:
	* tests/check/elements/rganalysis.c:
	* tests/check/elements/rglimiter.c:
	* tests/check/elements/rgvolume.c:
	* tests/check/elements/spectrum.c:
	* tests/check/elements/videofilter.c:
	  check: Don't re-declare 'GList *buffers' in the tests
	  It's an external which lives in gstcheck.c. Redeclaring it makes some
	  compilers/architectures think the 'buffers' in the individual tests are
	  a different symbol... and therefore we end up comparing holodecks with
	  oranges.

2010-04-12 14:50:46 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/matroska/matroska-demux.c:
	* gst/qtdemux/qtdemux.c:
	  matroskademux, qtdemux: minor code cleanup in avc_level_idc_to_string()
	  Do the same with slightly fewer LOC.

2010-04-12 12:40:11 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure: Remove -Wundef flag
	  Fixes #615161

2010-04-12 11:43:49 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/videobox/gstvideobox.c:
	  videobox: Fix I420->AYUV copying

2010-04-12 11:25:59 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/videobox/gstvideobox.c:
	  videobox: Correctly clamp frame/background alphas to [0,255] before writing them

2010-04-12 11:16:56 +0200  Edward Hervey <bilboed@bilboed.com>

	* tests/check/elements/.gitignore:
	  check: Ignore jpegenc test

2010-04-11 13:14:30 -0700  David Schleef <ds@schleef.org>

	* gst/deinterlace/gstdeinterlace.c:
	* gst/deinterlace/gstdeinterlace.h:
	  deinterlace: Only check interlaced flag in sink caps
	  Fixes #615460.

2010-04-09 11:21:47 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From ba33d1f to fc85867

2010-04-08 18:05:46 +0300  Stefan Kost <ensonic@users.sf.net>

	* gst/multifile/gstmultifilesink.c:
	* gst/multifile/gstmultifilesrc.c:
	* gst/rtpmanager/gstrtpbin.c:
	  docs: do proper escaping for "%"

2010-04-08 17:50:49 +0300  Stefan Kost <ensonic@users.sf.net>

	* gst/rtsp/gstrtspgoogle.c:
	* gst/rtsp/gstrtspgoogle.h:
	  rtsp: remove obsolete google extension
	  This was not build for a while and can be removed.

2010-04-08 17:42:52 +0300  Stefan Kost <ensonic@users.sf.net>

	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	  docs: move two symbols to private section

2010-04-08 17:36:30 +0300  Stefan Kost <ensonic@users.sf.net>

	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	  docs: add flxdec docs

2010-04-08 17:17:06 +0300  Stefan Kost <ensonic@users.sf.net>

	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* gst/rtp/gstrtpj2kpay.c:
	* gst/rtp/gstrtpjpegpay.c:
	  docs: enable the 2 of 65 rtp elements in the docs

2010-04-08 11:54:19 +0200  Benjamin Otte <otte@redhat.com>

	* ext/shout2/gstshout2.c:
	  shout2: Don't wait if we're late
	  In fact, due to signedness issues, a negative delay would be changed to
	  an almost infinite wait causing shout2send to "lock up".
	  Reported by Christopher Montgomery.

2010-04-08 16:56:37 +0300  Stefan Kost <ensonic@users.sf.net>

	* gst/udp/gstmultiudpsink.c:
	  docs: upd -> udp and voila it shows up in the docs

2010-04-08 16:51:27 +0300  Stefan Kost <ensonic@users.sf.net>

	* gst/alpha/gstalpha.h:
	  docs: fix doc blob syntax

2010-04-08 16:51:05 +0300  Stefan Kost <ensonic@users.sf.net>

	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	  docs: add (sparse) docs for auparse element

2010-04-08 14:40:43 +0300  Stefan Kost <ensonic@users.sf.net>

	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	  docs: add videobox symbols

2010-04-08 14:40:19 +0300  Stefan Kost <ensonic@users.sf.net>

	* docs/plugins/Makefile.am:
	  docs: remove dynudpsink until someone documents it

2010-04-08 14:34:59 +0300  Stefan Kost <ensonic@users.sf.net>

	* gst/flv/gstflvdemux.c:
	  flvdemux: make debug category static

2010-04-08 14:29:19 +0300  Stefan Kost <ensonic@users.sf.net>

	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* gst/flv/gstflvdemux.c:
	* gst/flv/gstflvdemux.h:
	  flxdemux: rename GstFLVDemux for GstFlvDemux

2010-04-08 14:23:19 +0300  Stefan Kost <ensonic@users.sf.net>

	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* gst/flv/Makefile.am:
	* gst/flv/gstflvdemux.c:
	* gst/flv/gstflvdemux.h:
	* gst/flv/gstflvparse.c:
	* gst/flv/gstflvparse.h:
	  flvdemux: merge flvparse into the demuxer and make function static
	  No need to hide certain function in the docs. Allows to do more cleanups.

2010-04-08 13:13:34 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* gst/alpha/gstalpha.c:
	* gst/alpha/gstalpha.h:
	  alpha: Add documentation

2010-04-08 14:00:08 +0300  Stefan Kost <ensonic@users.sf.net>

	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	  docs: v4l2buffer pool is now a separate object, remove them from v4l2src docs

2010-04-08 13:58:11 +0300  Stefan Kost <ensonic@users.sf.net>

	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	  docs: remove non existing flags and add two internal methods
	  If someone cares flvparse could be merged into flvdemux.

2010-04-08 13:57:09 +0300  Stefan Kost <ensonic@users.sf.net>

	* gst/rtpmanager/gstrtpsession.h:
	  rtpsession: remove prototype for non existing function
	  There is no function by that name anywhere.

2010-04-08 12:56:50 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/gst-plugins-good-plugins.hierarchy:
	* docs/plugins/gst-plugins-good-plugins.interfaces:
	* docs/plugins/gst-plugins-good-plugins.prerequisites:
	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-monoscope.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shapewipe.xml:
	* docs/plugins/inspect/plugin-shout2send.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videomixer.xml:
	  docs: Update inspected plugin information

2010-04-08 12:56:30 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/alpha/gstalphacolor.c:
	  alphacolor: Improve docs a bit

2010-04-08 13:47:42 +0300  Stefan Kost <ensonic@users.sf.net>

	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	  docs: add effecttv defines and reorder list

2010-04-08 13:41:47 +0300  Stefan Kost <ensonic@users.sf.net>

	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	  docs: remove three entries that are not exported from the headers anymore

2010-04-08 13:40:36 +0300  Stefan Kost <ensonic@users.sf.net>

	* ext/jpeg/gstjpegdec.c:
	* ext/jpeg/gstjpegdec.h:
	  jpegdec: move macro to c source
	  One less semi public symbol without namespace prefix in the headers.

2010-04-08 13:40:09 +0300  Stefan Kost <ensonic@users.sf.net>

	* ext/speex/gstspeexenc.h:
	  speexenc: remove unused defines

2010-04-08 13:23:38 +0300  Stefan Kost <ensonic@users.sf.net>

	* gst/matroska/matroska-mux.c:
	  matroska-mux: fix last commit
	  Use a local define for WAVEFORMAT_EX based on the size of the struct + 2 bytes
	  for the extension size.

2010-04-08 13:16:53 +0300  Stefan Kost <ensonic@users.sf.net>

	* ext/speex/gstspeexdec.h:
	  speex: remove unused define

2010-04-08 13:03:43 +0300  Stefan Kost <ensonic@users.sf.net>

	* gst/wavenc/Makefile.am:
	* gst/wavenc/gstwavenc.c:
	* gst/wavenc/riff.h:
	  wavenc: remove internal copy of riff.h and use riff-library instead.
	  We don't use any function yet, just the structures and defines.

2010-04-08 12:56:09 +0300  Stefan Kost <ensonic@users.sf.net>

	* gst/matroska/matroska-mux.c:
	* gst/matroska/matroska-mux.h:
	  matroskamux: use riff lib more
	  Remove BITMAPINFOHEADER and use the one from riff-lib. Also remove the
	  WAVEFORMATEX_SIZE define and use a sizeof together with the respective struct.
	  Besides better code reuse this lessens the ununsed symbols in the docs.

2010-04-08 12:14:07 +0300  Stefan Kost <ensonic@users.sf.net>

	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* gst/avi/gstavidemux.c:
	* gst/avi/gstavidemux.h:
	* gst/deinterlace/gstdeinterlace.c:
	* gst/deinterlace/gstdeinterlace.h:
	  docs: trim sections file more
	  Rename some defines and move some itesm to *.c files. Add more items to internal
	  subsection.

2010-04-08 11:19:43 +0300  Stefan Kost <ensonic@users.sf.net>

	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	  docsw: trim the section file

2010-04-08 10:26:25 +0300  Stefan Kost <ensonic@users.sf.net>

	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	  docs: add v4l2sink to docs

2010-04-08 10:15:08 +0300  Stefan Kost <ensonic@users.sf.net>

	* gst/audiofx/audioamplify.c:
	* gst/multifile/gstmultifilesink.c:
	  docs: fix xml
	  The title tag belongs into the refsect2.

2010-04-07 17:43:56 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/videobox/gstvideobox.c:
	  videobox: Add support for YV12, including conversion support for I420/AYUV

2010-04-07 17:27:12 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/videobox/gstvideobox.c:
	  videobox: Add support for grayscale input/output
	  This doesn't do any conversion and is the next step to
	  replacing videocrop by supporting all remaining formats
	  in passthrough mode.

2010-04-07 16:24:38 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/videobox/gstvideobox.c:
	* gst/videobox/gstvideobox.h:
	  videobox: Add support for filling the background with red, yellow and white

2010-04-07 16:11:11 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/videobox/gstvideobox.c:
	  videobox: Add support for direct RGB<->AYUV conversion

2010-04-07 16:11:01 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/videobox/gstvideobox.c:
	  videobox: Fix RGB24 filling

2010-04-07 16:06:54 +0300  Marco Ballesio <marco.ballesio@nokia.com>

	* gst/rtp/gstrtph264depay.c:
	  h264depay: handle properly STAPs
	  in rtph264depay.c, lines 577-576, NALU-type 24 (Single-Time Aggregation
	  Packet) is handled in fall-through as NALU-type 26 (unhandled).
	  This leads high quality h264 streams such as:
	  rtsp://stream.yle.mobi/yle/areena/MEDIA_E0342657_p3.mp4
	  to fail with "NAL unit type 24 not supported yet" (but it's actually
	  supported), and thus to close any stream which contains STAPs.
	  The proposed one-liner patch fixes the issue.
	  Fixes #615051.

2010-04-07 13:47:02 +0200  Thijs Vermeir <thijsvermeir@gmail.com>

	* gst-libs/gst/gst-i18n-plugin.h:
	* gst/avi/gstavi.c:
	  build: fix compiler warnings
	  fix warnings for all plugins that use: setlocale (LC_ALL...

2010-04-07 13:31:13 +0200  Thijs Vermeir <thijsvermeir@gmail.com>

	* gst/avi/gstavi.c:
	  avi: fix compiler warning

2010-03-31 17:54:21 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/matroska/matroska-demux.c:
	  matroskademux: restrict resyncing to subtitle tracks
	  This should prevent skipping audio or video in not so well interleaved
	  cases.
	  Fixes #614460.

2010-04-06 13:21:51 +0530  Arun Raghavan <ford_prefect@gentoo.org>

	* gst/qtdemux/qtdemux.c:
	* gst/qtdemux/qtdemux_fourcc.h:
	  qtdemux: Post avg./max. bitrate tags for H.264
	  This reads the average and maximum bitrates from the 'btrt' atom if
	  available, and pushes these as tags,
	  https://bugzilla.gnome.org/show_bug.cgi?id=614927

2010-04-03 23:39:20 +0300  Stefan Kost <ensonic@users.sf.net>

	* ext/pulse/pulsesink.c:
	  pulsesink: fix racy shutdown
	  Keep a ref of pulsesink for deferred mainloop invocation. Fixes #614765

2010-04-05 15:48:17 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* tests/check/Makefile.am:
	* tests/check/elements/jpegenc.c:
	  tests: jpegenc: Adds some getcaps test
	  Adds tests for the jpegenc getcaps function, to avoid
	  having it returning non-subset caps

2010-04-05 14:51:58 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* ext/jpeg/gstjpegenc.c:
	  jpegenc: Fix getcaps function
	  When creating the caps allowed to upstream using downstream
	  restrictions, use gst_pad_get_allowed_caps as that has the
	  usable formats and puts into it the width, height and framerate
	  fields. This avoids getting errors about getcaps returning
	  non subset caps of its pad template.
	  This error showed up on the metadata plugin unit test in -bad.

2010-04-05 17:31:36 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/videobox/gstvideobox.c:
	  videobox: Fix conversion from 3 byte RGB to ARGB

2010-04-05 17:08:15 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/videobox/gstvideobox.c:
	  videobox: Add support for 3 byte RGB formats and refactor RGB code a bit

2010-04-05 15:51:13 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/videobox/gstvideobox.c:
	* gst/videobox/gstvideobox.h:
	  videobox: Add support for all 32 bit RGB formats
	  ...including conversion between them.

2010-04-05 15:26:03 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/rtsp/gstrtspsrc.c:
	* gst/rtsp/gstrtspsrc.h:
	  rtspsrc: add property to control the buffering method
	  Add a property to control how the jitterbuffer performs timestamping and
	  buffering.

2010-04-04 19:02:41 -0300  André Dieb Martins <andre.dieb@gmail.com>

	* gst/alpha/gstalphacolor.c:
	  alphacolor: Removing unused variable
	  Fixes bug #614843.

2010-04-04 20:31:38 -0300  André Dieb Martins <andre.dieb@gmail.com>

	* ext/jpeg/gstjpegenc.c:
	  jpegenc: should not return caps ANY based on downstream
	  When downstream has a sink pad with ANY caps, jpegenc should
	  treat it the same as NULL and return its template caps.
	  Fixes #614842

2010-04-04 22:28:33 +0300  Stefan Kost <ensonic@users.sf.net>

	* sys/oss/gstosshelper.c:
	  oss: add fixme comment

2010-04-04 22:26:59 +0300  Stefan Kost <ensonic@users.sf.net>

	* gconf/Makefile.am:
	  build: use $(builddir) for installing generated files

2010-04-04 22:07:33 +0300  Stefan Kost <ensonic@users.sf.net>

	* configure.ac:
	  Revert "configure: fix out of source dir builds"
	  This reverts commit ca0bd3a8cea31f9ea0df798a83d3007e696958ba.

2010-04-04 21:36:35 +0300  Stefan Kost <ensonic@users.sf.net>

	* configure.ac:
	  configure: fix out of source dir builds
	  Remove non-existing gst-libs from include and library-paths'.
	  Fixes #614354 even more.

2010-04-01 10:19:00 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* gst/qtdemux/qtdemux.c:
	* gst/qtdemux/qtdemux_fourcc.h:
	  qtdemux: Read replaygain peak/gain tags
	  Make qtdemux read tags replaygain tags that are within '----' atoms.
	  Fixes #614471

2010-04-01 18:48:43 +0530  Arun Raghavan <ford_prefect@gentoo.org>

	* gst/matroska/matroska-demux.c:
	* gst/qtdemux/qtdemux.c:
	  matroska: Export h.264 profile and level in caps
	  This replicates the code in qtdemux to export the h.264 profile and
	  level in the stream caps.
	  https://bugzilla.gnome.org/show_bug.cgi?id=614651

2010-04-02 18:50:45 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/qtdemux/qtdemux.c:
	  qtdemux: Fix off-by-one introduced in last commit

2010-04-01 18:38:38 +0530  Arun Raghavan <ford_prefect@gentoo.org>

	* gst/qtdemux/qtdemux.c:
	  qtdemux: Minor refactor of the code
	  This will make it easier to clump together common code when copying to
	  mastroskademux.
	  https://bugzilla.gnome.org/show_bug.cgi?id=614651

2010-04-01 18:17:09 +0530  Arun Raghavan <ford_prefect@gentoo.org>

	* gst/qtdemux/qtdemux.c:
	  qtdemux: Export h.264 level in caps
	  This exports the h.264 level in the stream caps (as a string) which can
	  be used to match a decoder, or as metadata.
	  https://bugzilla.gnome.org/show_bug.cgi?id=614651

2010-04-01 16:58:32 +0530  Arun Raghavan <ford_prefect@gentoo.org>

	* gst/qtdemux/qtdemux.c:
	  qtdemux: Export h.264 profile in caps
	  This adds the h.264 profile for a given stream into caps. This can
	  (eventually) be used to select an appropriate decoder and as metadata
	  for certain applications.
	  https://bugzilla.gnome.org/show_bug.cgi?id=614651

2010-03-31 14:43:14 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/flv/gstflvdemux.c:
	  flvdemux: remove obsolete reverse playback code path

2010-03-31 14:40:50 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/flv/gstflvdemux.c:
	* gst/flv/gstflvdemux.h:
	* gst/flv/gstflvparse.c:
	  flvdemux: support (pull mode) negative seek rate

2010-03-29 15:27:37 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/flv/gstflvdemux.c:
	  flvdemux: also check for segment stop for non-segment-seek

2010-03-30 16:50:10 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/matroska/matroska-demux.c:
	  matroskademux: push correctly sized flac header buffers
	  Fixes #614353.

2010-03-30 07:34:07 -0500  Rob Clark <rob@ti.com>

	* configure.ac:
	  build: fix compiler warning when srcdir != builddir
	  Fixes '../../gst-libs: No such file or directory' warning/error when
	  the build directory is not the same as the source directory.
	  Fixes #614354.

2010-03-30 01:50:32 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/id3demux/id3v2frames.c:
	  id3demux: fix parsing of unsynced frames with data length indicator
	  Fixes bug #614158.

2010-03-29 11:00:04 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	* ext/Makefile.am:
	* gst/Makefile.am:
	* sys/Makefile.am:
	* tests/examples/Makefile.am:
	  build: build plugins and examples in parallel where possible

2010-03-18 18:49:24 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* sys/directsound/gstdirectsoundsink.c:
	  directsoundsink: fix redundant function redeclaration compiler warnings
	  Re-apply this again as well, as it was undone by the previous commit..

2010-03-18 14:31:35 +0100  Benjamin Otte <otte@redhat.com>

	* sys/directsound/gstdirectsoundsink.c:
	  gst_element_class_set_details => gst_element_class_set_details_simple
	  Apply this again, as it was overwritten by the previous commit. Merging
	  is hard, apparently.

2010-03-26 23:20:10 +0100  Julien Moutte <julien@fluendo.com>

	* sys/directsound/gstdirectsoundsink.c:
	* sys/directsound/gstdirectsoundsink.h:
	  directsoundsink: Implement SPDIF support for AC3.
	  Detect if the sound card supports SPDIF passthru of AC3 and add
	  necessary code to support that like alsasink.

2010-03-26 17:06:57 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* Makefile.am:
	  build: add cruft alert for common/shave*

2010-03-26 16:50:22 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/qtdemux/Makefile.am:
	* gst/qtdemux/qtdemux.c:
	* gst/qtdemux/qtdemux_lang.c:
	* gst/qtdemux/qtdemux_lang.h:
	  qtdemux: extract stream language in more cases
	  The 16-bit language code can be either a packed ISO-639-2T code
	  or a 'Macintosh language code'. Handle the latter type of language
	  codes as well, and map to the matching ISO code. Lastly, fix
	  language code posting for language #0, which is valid and stands
	  for 'English'.
	  Fixes #614001.

2010-03-26 14:55:53 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/flac/gstflacdec.c:
	  flacdec: Improve debugging and add some FIXMEs

2010-03-26 14:42:06 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/flac/gstflacdec.c:
	  flacdec: Sample rate markers 0x01, 0x02 and 0x03 are valid
	  They are for 88.2kHz, 176.4kHz and 192kHz.

2010-03-26 14:16:39 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/flac/gstflacdec.c:
	  flacdec: Take samplerate, width and number of channels from the STREAMINFO
	  ...and update it from the frame headers if it should change for some reason.
	  This allows playback of files with odd sample rates.

2010-03-26 13:45:46 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/videobox/gstvideobox.c:
	  videobox: Fix AYUV->I420 frame copying

2010-03-26 13:34:17 +0100  Raimo Järvi <raimo.jarvi@gmail.com>

	* ext/jpeg/gstjpegenc.c:
	  jpegenc: Set correct getcaps/setcaps functions on srcpads and simplify them
	  This fixes downstream negotiation, upstream negotiation isn't really
	  supported by jpegenc yet.
	  Fixes bug #613789.

2010-03-26 10:31:22 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/videobox/gstvideobox.c:
	* gst/videobox/gstvideobox.h:
	  videobox: Always fill the complete frame if borders should be added
	  This makes sure that we don't get any gaps between rectangles because
	  of chroma subsampling for example.

2010-03-18 22:12:40 +0000  Damien Lespiau <damien.lespiau@intel.com>

	* autogen.sh:
	  autogen.sh: Don't call configure with --enable-plugin-docs
	  configure gives a nice warning:
	  configure: WARNING: unrecognized options: --enable-plugin-docs
	  and indeed, I could not find anything in the configure.ac or the m4
	  macros that would allow enabling that option. Remove it then.

2010-03-22 16:58:26 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/videobox/gstvideobox.c:
	* gst/videobox/gstvideobox.h:
	  videobox: Refactor boxing to reduce code duplication

2010-03-22 13:13:59 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/alpha/gstalpha.c:
	  alpha: Simplify caps transformation

2010-03-21 20:14:19 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/videobox/gstvideobox.c:
	  videobox: Add const qualifier to the source frame data

2010-03-23 17:47:48 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/matroska/matroska-demux.c:
	  matroskademux: only seek when in proper state
	  ... and data structures can be thread-safely accessed.
	  See #601617.

2010-03-23 17:34:50 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/matroska/matroska-demux.c:
	* gst/matroska/matroska-demux.h:
	* gst/matroska/matroska-ids.h:
	  matroskademux: support (pull mode) negative seek rate

2010-03-18 15:29:00 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/matroska/matroska-demux.c:
	* gst/matroska/matroska-demux.h:
	  matroskademux: track clip duration in segment

2010-03-18 13:39:05 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/matroska/matroska-demux.c:
	  matroskademux: prefer index of video track to perform seeking

2010-03-24 16:19:53 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/avi/gstavidemux.c:
	  avidemux: fix typo in header validation check

2010-03-24 18:53:20 +0100  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From 55cd514 to c1d07dd

2010-03-23 19:46:43 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/icydemux/gsticydemux.c:
	* gst/icydemux/gsticydemux.h:
	  icydemux: Handle upstream Content-Type.
	  Allows us to handle ShoutCast TV (NSV) streams.
	  If the upstream caps have the 'content-type' field set to video/nsv, then
	  we shortcut the typefinding and set video/x-nsv directly.

2010-03-23 19:30:50 +0100  Edward Hervey <bilboed@bilboed.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: Set the Content-Type HTTP header on the caps.
	  First step to fixing ShoutCast (NSV) streaming.

2010-03-23 02:38:43 -0400  Tristan Matthews <tristan@sat.qc.ca>

	* sys/osxaudio/gstosxaudioelement.c:
	* sys/osxvideo/Makefile.am:
	  osx: fix compiler warnings
	  Added void parameter to avoid old-style definition warning.
	  Added -Wno-aggregate-return flag to avoid erroneous aggregate return warning.
	  https://bugzilla.gnome.org/show_bug.cgi?id=613663

2010-03-23 00:15:15 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/check/elements/videocrop.c:
	  tests: use loop test for long-running videocrop check
	  This should avoid timeouts on slow machines.
	  Fixes #597739.

2010-03-22 17:26:37 +0200  Stefan Kost <ensonic@users.sf.net>

	* ext/flac/gstflac.c:
	* ext/pulse/plugin.c:
	* ext/wavpack/gstwavpack.c:
	* gst-libs/gst/gettext.h:
	* gst/multifile/gstmultifilesink.h:
	  i18n: build fixes: #if -> #ifdef for ENABLE_NLS

2010-03-22 17:25:09 +0200  Stefan Kost <ensonic@users.sf.net>

	* gst-libs/gst/gst-i18n-plugin.h:
	  i18n: fix the build
	  Don't inlcude locale.h which we include in gettext.h if needed. Guard the
	  inlcude like we do in the simillar headers in core.

2010-03-21 17:46:06 +0100  Benjamin Otte <otte@redhat.com>

	* configure.ac:
	  -Wold-style-definition is not valid for C++

2010-03-21 17:36:28 +0100  Benjamin Otte <otte@redhat.com>

	* gst/multifile/gstmultifile.c:
	  multifile: Include headers instead fo defining functions

2010-03-21 17:24:14 +0100  Benjamin Otte <otte@redhat.com>

	* configure.ac:
	  Add a large set of warning flags.
	  None of them trigger warnings anymore, so nothing needed to be fixed.

2010-03-21 17:23:43 +0100  Benjamin Otte <otte@redhat.com>

	* gst/goom/config_param.c:
	* gst/goom/convolve_fx.c:
	* gst/goom/filters.c:
	* gst/goom/flying_stars_fx.c:
	* gst/goom/goom_config_param.h:
	* gst/goom/goom_core.c:
	* gst/goom/goom_filters.h:
	* gst/goom/goom_fx.h:
	* gst/goom/ifs.c:
	* gst/goom/ifs.h:
	* gst/goom/plugin_info.c:
	* gst/goom/tentacle3d.c:
	* gst/goom/tentacle3d.h:
	  Make goom not use aggregate returns

2010-03-21 15:17:46 +0100  Benjamin Otte <otte@redhat.com>

	* configure.ac:
	* ext/annodex/gstcmmlutils.c:
	* ext/wavpack/gstwavpackparse.c:
	* gst/effectv/gstwarp.c:
	* gst/rtp/gstrtph263pay.c:
	* gst/udp/gstmultiudpsink.c:
	* tests/check/elements/cmmldec.c:
	* tests/check/elements/cmmlenc.c:
	* tests/check/elements/deinterlace.c:
	* tests/check/elements/rglimiter.c:
	* tests/check/elements/rtp-payloading.c:
	* tests/check/elements/udpsink.c:
	* tests/check/elements/videofilter.c:
	* tests/check/elements/wavpackdec.c:
	* tests/check/generic/states.c:
	* tests/icles/v4l2src-test.c:
	  Add -Wold-style-definition flag
	  And fix the warnings

2010-03-20 00:54:14 +0100  Benjamin Otte <otte@redhat.com>

	* configure.ac:
	* ext/hal/hal.c:
	* ext/raw1394/gstdv1394src.c:
	* ext/raw1394/gsthdv1394src.c:
	* ext/soup/gstsouphttpsrc.c:
	* ext/wavpack/gstwavpackcommon.c:
	* gst/avi/gstavimux.c:
	* gst/debugutils/gstpushfilesrc.c:
	* gst/flv/gstflvparse.c:
	* gst/goom/config_param.c:
	* gst/goom/goom_config_param.h:
	* gst/id3demux/id3tags.c:
	* gst/law/alaw-decode.c:
	* gst/law/alaw-encode.c:
	* gst/law/mulaw-decode.c:
	* gst/law/mulaw-encode.c:
	* gst/matroska/ebml-write.c:
[--snip--]
